
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: postgresql: temporarily disable testsuite on ARM

Temporary patch to disable the postgresql testsuite when building
for ARM.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/postgresql.spec
===================================================================
--- SPECS.orig/postgresql.spec
+++ SPECS/postgresql.spec
@@ -72,7 +72,11 @@
 %{!?xml:%define xml 1}
 %{!?pam:%define pam 1}
 %{!?pgfts:%define pgfts 1}
+%ifnarch %{arm}
 %{!?runselftest:%define runselftest 1}
+%else
+%{!?runselftest:%define runselftest 0}
+%endif
 
 # Python major version.
 %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
@@ -81,7 +85,7 @@
 Summary: PostgreSQL client programs and libraries
 Name: postgresql
 Version: 8.2.6
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 License: BSD
 Group: Applications/Databases
 Url: http://www.postgresql.org/ 
